//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "ClockLabel.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck est utilis pour tre sr que les composants crs ne
// contiennent aucune fonction virtuelle pure.
//

static inline void ValidCtrCheck(TClockLabel *)
{
    new TClockLabel(NULL);
}
//---------------------------------------------------------------------------
__fastcall TClockLabel::TClockLabel(TComponent* Owner)
    : TLabel(Owner)
{
    Timer=new TTimer(this);
    Timer->Interval=600;
    Timer->OnTimer=TimerTick;
    Timer->Enabled=true;
    bAlarme=false;
}
//---------------------------------------------------------------------------
__fastcall TClockLabel::~TClockLabel(void)
{
    delete Timer;
}
//---------------------------------------------------------------------------
void __fastcall TClockLabel::TimerTick(TObject *Sender)
{
    TDateTime dtHeure;
    dtHeure=TDateTime::CurrentTime();
    unsigned short h,m,s,ms;
    dtHeure.DecodeTime(&h,&m,&s,&ms);
    Caption=dtHeure.TimeString();
    if( !bAlarme && (h==FHAlarme)&&(m==FMAlarme)&&(s>=FSAlarme) )
    {
        bAlarme=true;
        if(FOnAlarme)
            FOnAlarme(this);
    }
}
//---------------------------------------------------------------------------
namespace Clocklabel
{
    void __fastcall PACKAGE Register()
    {
        TComponentClass classes[1] = {__classid(TClockLabel)};
        RegisterComponents("Guidet", classes, 0);
    }
}
//---------------------------------------------------------------------------
 