//---------------------------------------------------------------------------
#ifndef ClockLabelH
#define ClockLabelH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class PACKAGE TClockLabel : public TLabel
{
private:
    TTimer *Timer;
    TNotifyEvent FOnAlarme;
protected:
    bool bAlarme;
    void __fastcall TimerTick(TObject *);
    unsigned short FHAlarme,FMAlarme,FSAlarme;
    void __fastcall SetHAlarme(unsigned short h){FHAlarme=h;bAlarme=false;};
    void __fastcall SetMAlarme(unsigned short m){FMAlarme=m;bAlarme=false;};
    void __fastcall SetSAlarme(unsigned short s){FSAlarme=s;bAlarme=false;};
public:
    __fastcall TClockLabel(TComponent* Owner);
    __fastcall ~TClockLabel(void);
__published:
    __property unsigned short HAlarme={read=FHAlarme,write=SetHAlarme};
    __property unsigned short MAlarme={read=FMAlarme,write=SetMAlarme};
    __property unsigned short SAlarme={read=FSAlarme,write=SetSAlarme};
    __property TNotifyEvent OnAlarme={read=FOnAlarme,write=FOnAlarme};
};
//---------------------------------------------------------------------------
#endif
